package com.cr.common

import android.content.Context
import android.content.SharedPreferences
import com.cr.cruav.CrApplication

/**
 * 操作系统：MAC系统
 * 创建者：王成
 * 创建日期：2023/4/11 09:37
 * 描述：一般存储的管理
 */
class CrSaveManager {
    // define: 2023/4/11 key对应变量
    val KEY_MAP_CENTER:String = "mapCenter"

    // define: 2023/4/11 本地化存储实例
    var preferences:SharedPreferences ?=null

    /**
     * 初始化
     * @constructor
     */
    constructor(){
        // todo: 2023/4/11 初始化本地存储实例
        preferences = CrApplication.getInstance()!!.getSharedPreferences("config", Context.MODE_PRIVATE)
    }

    // todo: 2023/4/11 静态方法
    companion object{
        /**
         * 获取单例
         * @return CrSaveManager
         */
        fun getInstance() = InstanceHelper.self
    }
    /**
     * 用于单例
     */
    object InstanceHelper{
        var self = CrSaveManager()
    }

    /**
     * 获取地图是否自动居中
     * @return Boolean
     */
    fun getMapCenter(): Boolean? {
        return preferences?.getBoolean(KEY_MAP_CENTER,true)
    }

    /**
     * 设置地图是否自动居中
     * @param isCenter Boolean
     */
    fun setMapCenter(isCenter:Boolean){
        var editor:SharedPreferences.Editor = preferences!!.edit()
        editor.putBoolean(KEY_MAP_CENTER,isCenter)
        editor.commit()
    }
}